Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::TextPageCharInfo Class Reference

Inherits Object.

## Public Types
enum | TextCharFlag { e_Unknown = -1, e_Normal = 0, e_Generated = 1, e_UnUnicode = 2, e_Hyphen = 3, e_ComboWord = 4 }
| Enumeration for PDF textpage character flag. More...

## Public Member Functions
| TextPageCharInfo ()
| Constructor.
| TextPageCharInfo (const common::Font &font, TextCharFlag flag, float font_size, float origin_x, float origin_y, const RectF &char_box, const RectF &char_outbox, const Matrix &matrix)
| Constructor, with parameters. More...
| TextPageCharInfo (const TextPageCharInfo &char_info)
| Constructor, with another character information object. More...
bool | operator!= (const TextPageCharInfo &char_info) const
| Not equal operator. More...
TextPageCharInfo & | operator= (const TextPageCharInfo &char_info)
| Assign operator. More...
bool | operator== (const TextPageCharInfo &char_info) const
| Equal operator. More...
void | Set (const common::Font &font, TextCharFlag flag, float font_size, float origin_x, float origin_y, const RectF &char_box, const RectF &char_outbox, const Matrix &matrix)
| Set value. More...

## Public Attributes
RectF | char_box
| The glyph bounding box in page space.
RectF | char_outbox
| The typographic(display and printing) bounding box in page space.
TextCharFlag | flag
| Flags to indicate which properties of textpage character flag are meaningful. More...
common::Font | font
| A font for character.
float | font_size
| Font size for character. More...
Matrix | matrix
| The matrix of the character.
float | origin_x
| The x-coordinate of the origin position.
float | origin_y
| The y-coordinate of the origin position.

## Detailed Description

This class represents textpage character information.

## Member Enumeration Documentation

## ◆ TextCharFlag

enum foxit::pdf::TextPageCharInfo::TextCharFlag

Enumeration for PDF textpage character flag.

Values of this enumeration should be used alone.

Enumerator
e_Unknown | Character flag: Unknown.
e_Normal | Character flag: Normal.
e_Generated | Character flag: Generated.
e_UnUnicode | Character flag: UnUnicode.
e_Hyphen | Character flag: Hyphen.
e_ComboWord | Character flag: ComboWord.

## Constructor & Destructor Documentation

## ◆ TextPageCharInfo() [1/2]

foxit::pdf::TextPageCharInfo::TextPageCharInfo | ( | const common::Font & | font,
|  | TextCharFlag | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | const RectF & | char_box,
|  | const RectF & | char_outbox,
|  | const Matrix & | matrix
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from TextPageCharInfo::e_Normal and this should be one of these values except TextPageCharInfo::e_Unknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

## ◆ TextPageCharInfo() [2/2]

foxit::pdf::TextPageCharInfo::TextPageCharInfo | ( | const TextPageCharInfo & | char_info | ) |
| inline

Constructor, with another character information object.

Parameters

  [in] | char_info | Another character information object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::TextPageCharInfo::operator!= | ( | const TextPageCharInfo & | char_info | ) | const
| inline

Not equal operator.

Parameters

  [in] | char_info | Another character information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TextPageCharInfo& foxit::pdf::TextPageCharInfo::operator= | ( | const TextPageCharInfo & | char_info | ) |
| inline

Assign operator.

Parameters

  [in] | char_info | Another character information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::TextPageCharInfo::operator== | ( | const TextPageCharInfo & | char_info | ) | const
| inline

Equal operator.

Parameters

  [in] | char_info | Another character information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::TextPageCharInfo::Set | ( | const common::Font & | font,
|  | TextCharFlag | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | const RectF & | char_box,
|  | const RectF & | char_outbox,
|  | const Matrix & | matrix
| ) |  |
| inline

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from TextPageCharInfo::e_Normal and this should be one of these values except TextPageCharInfo::e_Unknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## Member Data Documentation

## ◆ flag

TextCharFlag foxit::pdf::TextPageCharInfo::flag

Flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from TextPageCharInfo::e_Normal and this should be one of these values.

## ◆ font_size

float foxit::pdf::TextPageCharInfo::font_size

Font size for character.

This value would a positive value.